@import "../../../theme/default.less";

.layer() {
  border-radius: 0%;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 0;
  z-index: 1000;
  opacity: 0.75;
}

.animation(@name, @time) {
  animation-name: @name;
  animation-duration: @time;
  -webkit-animation-name: @name; /* Safari 4.0 - 8.0 */
  -webkit-animation-duration: @time; /* Safari 4.0 - 8.0 */
  animation-timing-function: ease-out; 
  animation-delay: 0;
  animation-fill-mode: forwards;
}

.wasClosed {
  &-default {
    .animation(stretchOut, 0.07s);
    position: absolute;
   .layer();
  }

  &-fullScreen {
    .animation(stretchOut, 0.07s);
    position: fixed;
    .layer();
  }
}

.fluant-message {
  &-default {
    position: absolute;
    .layer();
    p, h1, h2, h3, h4, h5, h6, span {
      .animation(fadeIn, 0.3s);
      color: white;
    }  
  }
  &-notActive {
    .animation(stretch, 0.07s);
  }   

  &-fullScreen {
    position: fixed;
    .layer();
    p, h1, h2, h3, h4, h5, h6, span {
      .animation(fadeIn, 0.3s);
      color: white;
    }
  }
}

.open{
  &-default {
    &-invisible {
      font-size: 30.1px;
      border-radius: 50%;
      color: white;
      cursor: pointer;
      &:hover,
      &:focus {
        background: ~`colorPalette("#588DC8", 5)`;
      }
    }
    &-visible {
      visibility: hidden;
      font-size: 30.1px;
      border-radius: 50%;
      color: white;
      cursor: pointer;
    }
  }
  &-byProps {
    &-visible {
      visibility: hidden;
    }
  }
}

.close {
  &-right {
    position: absolute;
    padding: 10px;
    right: 0;
    top: 0;
    cursor: pointer;
  }
  &-center {
    padding: 10px;
    cursor: pointer;
    text-align: center;
  }
  &-left {
    position: absolute;
    padding: 10px;
    cursor: pointer;
  }
  &-default {
    position: absolute;
    font-size: 15px;
    color: white;
    padding: 10px;
    right: 0;
    top: 0;
    cursor: pointer;
  }
}

@-webkit-keyframes fadeIn {
  from { opacity: 0; }
  to   { opacity: 1; }
}

/* Standard syntax */
@keyframes fadeIn {
  from { opacity: 0; }
  to   { opacity: 1; }
}

@keyframes stretch {
  from { transform: scale(0); border-radius: 100%;}
  to   { transform: scale(1); }
}

@-webkit-keyframes stretch {
  from { transform: scale(0); border-radius: 100%;}
  to   { transform: scale(1); }
}

@keyframes stretchOut {
  from   { transform: scale(1); }
  to { transform: scale(0); border-radius: 100%;}
}

@-webkit-keyframes stretchOut {
  from   { transform: scale(1); }
  to { transform: scale(0); border-radius: 100%;}
}